Subject: Re: Is this 32-bit NCM?y

From: Enrico Mioso <[email-masked]>
Date: Thu, 4 Dec 2014 10:28:27 +0100 (CET)

Ok - but... you can upgrade your OS to that without any effort - simply apt-get-installing the required linux-image-3.16 package plus the -extra package. It's nothing more in case.
thank you kevin, thank you Bjorn.

Enrico

On Thu, 4 Dec 2014, Kevin Zhu wrote:

> Date: Thu, 4 Dec 2014 10:26:20
> From: Kevin Zhu <[email-masked]>
> To: Bjørn Mork <[email-masked]>
> Cc: Enrico Mioso <[email-masked]>,
>     Eli Britstein <[email-masked]>,
>     Alex Strizhevsky <[email-masked]>,
>     Midge Shaojun  Tan <[email-masked]>,
>     "[email-masked]" <[email-masked]>,
>     "[email-masked]" <[email-masked]>,
>     "[email-masked]" <[email-masked]>
> Subject: Re: Is this 32-bit NCM?y
> 
> I will find it out. And I don't have v3.16 and I'm not going to upgrade
> my OS to that. Sorry. So I would just stick to v3.13. Anyway, that size
> is wrong, it should be fixed.
>
> Regards,
> Kevin
>
> On 12/04/2014 05:19 PM, Bjørn Mork wrote:
>> Kevin Zhu <[email-masked]> writes:
>>
>>> Guys,
>>>
>>> After rearranging the padding, putting NCM0 right after NTH, and disable
>>> ARP (FLAG_NOARP) and handling the offset alignment issue, it seems it
>>> begins to work, though there's still problem with DHCP.
>> Great!  But it would be good to know if _one_ of these changes is enough
>> to make it work.
>>
>>> The DHCP packet's size becomes a large one after the TX function, which
>>> is 16384, the maximum.
>> You can now (from v3.16) disable the padding by setting min_tx_pkt >= tx_max.
>> Something like this should do for a simple test:
>>
>>   echo 16384 >/sys/class/net/wwan0/cdc_ncm/min_tx_pkt
>>
>>
>> Bjørn
> This email and any files transmitted with it are confidential material. They are intended solely for the use of the designated individual or entity to whom they are addressed. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, use, distribution or copying of this communication is strictly prohibited and may be unlawful.
>
> If you have received this email in error please immediately notify the sender and delete or destroy any copy of this message
>